Установите GTK + 3.0 на Ubuntu

Как мне обновить мою версию GTK?

У меня есть эта версия сейчас:

axept@axept-NET:~$ dpkg -s libgtk2.0-0|grep '^Version'
Version: 2.24.20-1ubuntu1

Мне нужна версия 3.0, чтобы использовать новую выпущенную версию Banshee 2.9.0. Как мне обновить или установить GTK 3.0?

В Ubuntu 13.04, и будет ли это так же, как в 13.10?

3
задан 14.04.2020, 15:20

1 ответ

GTK 3.x включен по умолчанию в Ubuntu. У вас установлены 3.x и 2.x.

Если вы пытаетесь установить версию Banshee, которая использует GTK 3.x, из исходного кода вам потребуется установить все необходимые пакеты разработки, чтобы иметь возможность скомпилировать ее.

2
ответ дан 14.04.2020, 15:21
  • 1
    Используемый это руководство: banshee.fm/download/development – Shaun Wilson 14.04.2020, 15:21
  • 2
    Ohh.. Да, попробованный для установки из источника. Остановленный becasue мне было нужно 3.0. Я думал, что действительно устанавливал все пакеты, должен был скомпилировать его? Ну, возможно, я пропустил что-то.. – Richard 14.04.2020, 15:21
  • 3
    Спасибо за ответ! Думайте, что я передам это, получил новую проблему теперь, gio-резкий.. – Shaun Wilson 14.04.2020, 15:22
  • 4
    Эти apt-get build-dep упомянул, там установит зависимости от сборки для версии, уже включенной в Ubuntu, не, что обязательно необходимо для сборки из источника, если какая-либо из тех зависимостей изменилась. Необходимо будет установить libgtk-3-dev и другие более новые зависимости как требуется, вручную. – 828 14.04.2020, 15:22

Теги

Похожие вопросы